Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.main
Class Main.OptionInfo

    java.lang.Object
      rdlc.main.Main.OptionInfo

Enclosing class:
  Main

    public static class Main.OptionInfo

extends java.lang.Object

Simple data structure to store information about a command option.

Version:
  $Revision: 1.40 $
Author:
  Greg Gibeling

Nested Class Summary
`static class` | `Main.OptionInfo.Type` Enum of the types that command line options can have.

Field Summary
`java.lang.String` | `def` The default value for this option.
`boolean` | `optional` Is this an optional option?
`java.lang.String` | `text` The long text name for this option (to display to the user).
`Main.OptionInfo.Type` | `type` The type of this option.

Constructor Summary
`Main.OptionInfo(Main.OptionInfo.Type _type, boolean _optional, java.lang.String _text, java.lang.String _def)` Store the given information in this object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public Main.OptionInfo.Type type

  The type of this option.

### optional

    public boolean optional

  Is this an optional option?

### text

    public java.lang.String text

  The long text name for this option (to display to the user).

### def

    public java.lang.String def

  The default value for this option.

Constructor Detail

### Main.OptionInfo

    public Main.OptionInfo(Main.OptionInfo.Type _type,
                           boolean _optional,
                           java.lang.String _text,
                           java.lang.String _def)

  Store the given information in this object.

  Parameters:
    `_type` - The type of this option.
    `_optional` - Is this an optional option?
    `_text` - The long text name for this option (to display to the user).
    `_def` - The default value for this option.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD